CirculationDefaultTraits< GR, LM, UM, SM > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Static Public Member Functions
CirculationDefaultTraits< GR, LM, UM, SM > Struct Template Reference

## Detailed Description

### template<typename GR, typename LM, typename UM, typename SM>
struct lemon::CirculationDefaultTraits< GR, LM, UM, SM >

Default traits class of Circulation class.

Template Parameters

  GR | Type of the digraph the algorithm runs on.
  LM | The type of the lower bound map.
  UM | The type of the upper bound (capacity) map.
  SM | The type of the supply map.

`#include <lemon/circulation.h>`

## Public Types
typedef GR | Digraph
| The type of the digraph the algorithm runs on.
typedef LM | LowerMap
| The type of the lower bound map. More...
typedef UM | UpperMap
| The type of the upper bound (capacity) map. More...
typedef SM | SupplyMap
| The type of supply map. More...
typedef SupplyMap::Value | Value
| The type of the flow and supply values.
typedef GR::ArcMap< Value > | FlowMap
| The type of the map that stores the flow values. More...
typedef lemon::Elevator< GR, GR::Node > | Elevator
| The elevator type used by the algorithm. More...
typedef lemon::Tolerance< Value > | Tolerance
| The tolerance used by the algorithm. More...

## Static Public Member Functions
static FlowMap * | createFlowMap (const Digraph &digraph)
| Instantiates a FlowMap. More...
static Elevator * | createElevator (const Digraph &digraph, int max_level)
| Instantiates an Elevator. More...

## Member Typedef Documentation

typedef LM LowerMap

The type of the map that stores the lower bounds on the arcs. It must conform to the ReadMap concept.

typedef UM UpperMap

The type of the map that stores the upper bounds (capacities) on the arcs. It must conform to the ReadMap concept.

typedef SM SupplyMap

The type of the map that stores the signed supply values of the nodes. It must conform to the ReadMap concept.

typedef GR::ArcMap<Value> FlowMap

The type of the map that stores the flow values. It must conform to the ReadWriteMap concept.

typedef lemon::Elevator<GR, GR::Node> Elevator

The elevator type used by the algorithm.

See Also
  Elevator, LinkedElevator

typedef lemon::Tolerance<Value> Tolerance

The tolerance used by the algorithm to handle inexact computation.

## Member Function Documentation

static FlowMap* createFlowMap | ( | const Digraph & | digraph | ) |
| inlinestatic

This function instantiates a FlowMap.

Parameters

  digraph | The digraph for which we would like to define the flow map.

static Elevator* createElevator | ( | const Digraph & | digraph,
|  | int | max_level
| ) |  |
| inlinestatic

This function instantiates an Elevator.

Parameters

  digraph | The digraph for which we would like to define the elevator.
  max_level | The maximum level of the elevator.